commit 6d91a04faee759ae78e38b1abfd317bec842c66b
Author: freddy77 <freddy77>
Date:   Fri Feb 27 15:51:39 2009 +0000

    remove INPUT param from sql_cmd

diff --git a/ChangeLog b/ChangeLog
index fe76286..721e89f 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,20 @@
+Fri Feb 27 16:50:57 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/dblib/unittests/bcp.c src/dblib/unittests/common.c:
+	* src/dblib/unittests/common.h src/dblib/unittests/dbmorecmds.c:
+	* src/dblib/unittests/done_handling.c src/dblib/unittests/rpc.c:
+	* src/dblib/unittests/t0001.c src/dblib/unittests/t0002.c:
+	* src/dblib/unittests/t0003.c src/dblib/unittests/t0004.c:
+	* src/dblib/unittests/t0005.c src/dblib/unittests/t0006.c:
+	* src/dblib/unittests/t0007.c src/dblib/unittests/t0009.c:
+	* src/dblib/unittests/t0011.c src/dblib/unittests/t0012.c:
+	* src/dblib/unittests/t0013.c src/dblib/unittests/t0014.c:
+	* src/dblib/unittests/t0015.c src/dblib/unittests/t0016.c:
+	* src/dblib/unittests/t0017.c src/dblib/unittests/t0018.c:
+	* src/dblib/unittests/t0020.c src/dblib/unittests/t0022.c:
+	* src/dblib/unittests/t0023.c src/dblib/unittests/text_buffer.c:
+	* src/dblib/unittests/timeout.c:
+	- remove INPUT param from sql_cmd
+
 Fri Feb 27 11:46:15 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* include/tds_sysdep_private.h include/tds_sysdep_public.h.in:
 	- cleanup public sysdep header
@@ -1331,4 +1348,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2733 2009/02/27 10:46:23 freddy77 Exp $
+$Id: ChangeLog,v 1.2734 2009/02/27 15:51:39 freddy77 Exp $
diff --git a/src/dblib/unittests/bcp.c b/src/dblib/unittests/bcp.c
index d777aa3..ca06526 100644
--- a/src/dblib/unittests/bcp.c
+++ b/src/dblib/unittests/bcp.c
@@ -13,7 +13,7 @@
 
 #include "bcp.h"
 
-static char software_version[] = "$Id: bcp.c,v 1.17 2009/02/01 22:29:39 jklowden Exp $";
+static char software_version[] = "$Id: bcp.c,v 1.18 2009/02/27 15:52:48 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static char cmd[512];
@@ -46,7 +46,7 @@ init(DBPROCESS * dbproc, const char *name)
 	RETCODE rc;
 
 	fprintf(stdout, "Dropping %s.%s..%s\n", SERVER, DATABASE, name);
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	add_bread_crumb();
 	dbsqlexec(dbproc);
 	add_bread_crumb();
@@ -58,8 +58,8 @@ init(DBPROCESS * dbproc, const char *name)
 	add_bread_crumb();
 
 	fprintf(stdout, "Creating %s.%s..%s\n", SERVER, DATABASE, name);
-	sql_cmd(dbproc, INPUT);
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
+	sql_cmd(dbproc);
 
 	if (dbsqlexec(dbproc) == FAIL) {
 		add_bread_crumb();
@@ -271,7 +271,7 @@ main(int argc, char **argv)
 	add_bread_crumb();
 
 #if 1
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 
 	dbsqlexec(dbproc);
 	while ((i=dbresults(dbproc)) == SUCCEED) {
@@ -287,7 +287,7 @@ main(int argc, char **argv)
 	} else {
 		fprintf(stdout, "Dropping table %s\n", table_name);
 		add_bread_crumb();
-		sql_cmd(dbproc, INPUT);
+		sql_cmd(dbproc);
 		add_bread_crumb();
 		dbsqlexec(dbproc);
 		add_bread_crumb();
diff --git a/src/dblib/unittests/common.c b/src/dblib/unittests/common.c
index 5a8089b..2dbad1c 100644
--- a/src/dblib/unittests/common.c
+++ b/src/dblib/unittests/common.c
@@ -16,7 +16,7 @@
 #include "replacements.h"
 #endif
 
-static char software_version[] = "$Id: common.c,v 1.28 2009/02/27 10:37:41 freddy77 Exp $";
+static char software_version[] = "$Id: common.c,v 1.29 2009/02/27 15:52:48 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 typedef struct _tag_memcheck_t
@@ -42,7 +42,7 @@ char PASSWORD[512];
 char DATABASE[512];
 
 static char sql_file[PATH_MAX];
-FILE* INPUT;
+static FILE* input_file;
 
 static char *DIRNAME = NULL;
 static const char *BASENAME = NULL;
@@ -92,9 +92,9 @@ char free_file_registered = 0;
 static void
 free_file(void)
 {
-	if (INPUT) {
-		fclose(INPUT);
-		INPUT = NULL;
+	if (input_file) {
+		fclose(input_file);
+		input_file = NULL;
 	}
 }
 
@@ -219,7 +219,7 @@ read_login_info(int argc, char **argv)
 	len = snprintf(sql_file, sizeof(sql_file), "%s.sql", BASENAME);
 	assert(len <= sizeof(sql_file));
 
-	if ((INPUT = fopen(sql_file, "r")) == NULL) {
+	if ((input_file = fopen(sql_file, "r")) == NULL) {
 		fflush(stdout);
 		fprintf(stderr, "could not open SQL input file \"%s\"\n", sql_file);
 	}
@@ -237,13 +237,13 @@ read_login_info(int argc, char **argv)
  * Fill the command buffer from a file while echoing it to standard output.
  */
 RETCODE 
-sql_cmd(DBPROCESS *dbproc, FILE *stream)
+sql_cmd(DBPROCESS *dbproc)
 {
 	char line[2048], *p = line;
 	int i = 0;
 	RETCODE erc=SUCCEED;
 	
-	while ((p = fgets(line, (int)sizeof(line), stream)) != NULL && strcasecmp("go\n", p) != 0) {
+	while ((p = fgets(line, (int)sizeof(line), input_file)) != NULL && strcasecmp("go\n", p) != 0) {
 		printf("\t%3d: %s", ++i, p);
 		if ((erc = dbcmd(dbproc, p)) != SUCCEED) {
 			fprintf(stderr, "%s: error: could write \"%s\" to dbcmd()\n", BASENAME, p);
@@ -251,7 +251,7 @@ sql_cmd(DBPROCESS *dbproc, FILE *stream)
 		}
 	}
 
-	if (ferror(stream)) {
+	if (ferror(input_file)) {
 		fprintf(stderr, "%s: error: could not read SQL input file \"%s\"\n", BASENAME, sql_file);
 		exit(1);
 	}
diff --git a/src/dblib/unittests/common.h b/src/dblib/unittests/common.h
index 0f5d023..b0d2e6a 100644
--- a/src/dblib/unittests/common.h
+++ b/src/dblib/unittests/common.h
@@ -2,7 +2,7 @@
 #ifndef COMMON_h
 #define COMMON_h
 
-static char rcsid_common_h[] = "$Id: common.h,v 1.16 2009/02/01 22:29:39 jklowden Exp $";
+static char rcsid_common_h[] = "$Id: common.h,v 1.17 2009/02/27 15:52:48 freddy77 Exp $";
 static void *no_unused_common_h_warn[] = { rcsid_common_h, no_unused_common_h_warn };
 
 #if HAVE_CONFIG_H
@@ -76,7 +76,6 @@ extern char PASSWORD[512];
 extern char USER[512];
 extern char SERVER[512];
 extern char DATABASE[512];
-extern FILE* INPUT;
 
 void set_malloc_options(void);
 int read_login_info(int argc, char **argv);
@@ -87,7 +86,7 @@ int syb_msg_handler(DBPROCESS * dbproc,
 		    DBINT msgno, int msgstate, int severity, char *msgtext, char *srvname, char *procname, int line);
 int syb_err_handler(DBPROCESS * dbproc, int severity, int dberr, int oserr, char *dberrstr, char *oserrstr);
 
-RETCODE sql_cmd(DBPROCESS *dbproc, FILE *stream);
+RETCODE sql_cmd(DBPROCESS *dbproc);
 
 #define int2ptr(i) ((void*)(((char*)0)+(i)))
 #define ptr2int(p) ((int)(((char*)(p))-((char*)0)))
diff --git a/src/dblib/unittests/dbmorecmds.c b/src/dblib/unittests/dbmorecmds.c
index a01522b..45e5067 100644
--- a/src/dblib/unittests/dbmorecmds.c
+++ b/src/dblib/unittests/dbmorecmds.c
@@ -5,7 +5,7 @@
 
 #include "common.h"
 
-static char software_version[] = "$Id: dbmorecmds.c,v 1.14 2009/02/01 22:29:39 jklowden Exp $";
+static char software_version[] = "$Id: dbmorecmds.c,v 1.15 2009/02/27 15:52:48 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version,	no_unused_var_warn };
 
 int failed = 0;
@@ -64,7 +64,7 @@ main(int argc, char **argv)
 	add_bread_crumb();
 
 	fprintf(stdout, "creating table\n");
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	dbsqlexec(dbproc);
 	while (dbresults(dbproc) != NO_MORE_RESULTS) {
 		/* nop */
@@ -72,7 +72,7 @@ main(int argc, char **argv)
 
 	fprintf(stdout, "insert\n");
 	for (i = 0; i < rows_to_add; i++) {
-		sql_cmd(dbproc, INPUT);
+		sql_cmd(dbproc);
 		dbsqlexec(dbproc);
 		while (dbresults(dbproc) != NO_MORE_RESULTS) {
 			/* nop */
@@ -80,7 +80,7 @@ main(int argc, char **argv)
 	}
 
 	fprintf(stdout, "select one resultset\n");
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	dbsqlexec(dbproc);
 	add_bread_crumb();
 
@@ -104,7 +104,7 @@ main(int argc, char **argv)
 	dbcancel(dbproc);
 
 	fprintf(stdout, "select two resultsets\n");
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	dbsqlexec(dbproc);
 
 	nresults = 0;
diff --git a/src/dblib/unittests/done_handling.c b/src/dblib/unittests/done_handling.c
index 56d95d3..ff843c5 100644
--- a/src/dblib/unittests/done_handling.c
+++ b/src/dblib/unittests/done_handling.c
@@ -1,6 +1,6 @@
 #include "common.h"
 
-static char software_version[] = "$Id: done_handling.c,v 1.9 2009/02/05 08:49:45 freddy77 Exp $";
+static char software_version[] = "$Id: done_handling.c,v 1.10 2009/02/27 15:52:48 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 /*
@@ -65,7 +65,7 @@ query(const char comment[])
 {
 	if (comment)
 		printf("%s\n", comment);
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	dbsqlexec(dbproc);
 	while (dbresults(dbproc) == SUCCEED) {
 		/* nop */
@@ -115,7 +115,7 @@ do_test(const char comment[])
 
 	if (comment)
 		printf("%s\n", comment);
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 
 	check_state("sqlexec ", prretcode, dbsqlexec(dbproc));
 
diff --git a/src/dblib/unittests/rpc.c b/src/dblib/unittests/rpc.c
index 2dfbf88..e02eefe 100644
--- a/src/dblib/unittests/rpc.c
+++ b/src/dblib/unittests/rpc.c
@@ -5,7 +5,7 @@
 
 #include "common.h"
 
-static char software_version[] = "$Id: rpc.c,v 1.37 2009/02/05 08:49:45 freddy77 Exp $";
+static char software_version[] = "$Id: rpc.c,v 1.38 2009/02/27 15:52:48 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static int init_proc(DBPROCESS * dbproc, const char *name);
@@ -47,7 +47,7 @@ init_proc(DBPROCESS * dbproc, const char *name)
 	if (name[0] != '#') {
 		fprintf(stdout, "Dropping procedure %s\n", name);
 		add_bread_crumb();
-		sql_cmd(dbproc, INPUT);
+		sql_cmd(dbproc);
 		add_bread_crumb();
 		dbsqlexec(dbproc);
 		add_bread_crumb();
@@ -58,7 +58,7 @@ init_proc(DBPROCESS * dbproc, const char *name)
 	}
 
 	fprintf(stdout, "Creating procedure %s\n", name);
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	if ((ret = dbsqlexec(dbproc)) == FAIL) {
 		add_bread_crumb();
 		if (name[0] == '#')
@@ -411,7 +411,7 @@ main(int argc, char **argv)
 
 	fprintf(stdout, "Dropping procedure\n");
 	add_bread_crumb();
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	add_bread_crumb();
 	dbsqlexec(dbproc);
 	add_bread_crumb();
diff --git a/src/dblib/unittests/t0001.c b/src/dblib/unittests/t0001.c
index 56ae4d8..15cdbbd 100644
--- a/src/dblib/unittests/t0001.c
+++ b/src/dblib/unittests/t0001.c
@@ -5,7 +5,7 @@
 
 #include "common.h"
 
-static char software_version[] = "$Id: t0001.c,v 1.28 2009/02/01 22:29:39 jklowden Exp $";
+static char software_version[] = "$Id: t0001.c,v 1.29 2009/02/27 15:52:48 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 
@@ -82,20 +82,20 @@ main(int argc, char **argv)
 #ifdef DBQUOTEDIDENT
 	fprintf(stdout, "QUOTED_IDENTIFIER is %s\n", (dbisopt(dbproc, DBQUOTEDIDENT, NULL))? "ON":"OFF");
 #endif
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	dbsqlexec(dbproc);
 	while (dbresults(dbproc) == SUCCEED) {
 		/* nop */
 	}
 
-	for (i = 0; i < rows_to_add && sql_cmd(dbproc, INPUT) == SUCCEED; i++) {
+	for (i = 0; i < rows_to_add && sql_cmd(dbproc) == SUCCEED; i++) {
 		dbsqlexec(dbproc);
 		while (dbresults(dbproc) == SUCCEED) {
 			/* nop */
 		}
 	}
 
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	dbsqlexec(dbproc);
 	add_bread_crumb();
 
diff --git a/src/dblib/unittests/t0002.c b/src/dblib/unittests/t0002.c
index 7f65bc1..aaba66b 100644
--- a/src/dblib/unittests/t0002.c
+++ b/src/dblib/unittests/t0002.c
@@ -10,7 +10,7 @@
 #include "common.h"
 #include <assert.h>
 
-static char software_version[] = "$Id: t0002.c,v 1.23 2009/02/01 22:29:39 jklowden Exp $";
+static char software_version[] = "$Id: t0002.c,v 1.24 2009/02/27 15:52:48 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 int failed = 0;
@@ -89,7 +89,7 @@ main(int argc, char **argv)
 	add_bread_crumb();
 
 	add_bread_crumb();
-	sql_cmd(dbproc,  INPUT); /* drop table if exists */
+	sql_cmd(dbproc); /* drop table if exists */
 	add_bread_crumb();
 	dbsqlexec(dbproc);
 	add_bread_crumb();
@@ -102,21 +102,21 @@ main(int argc, char **argv)
 	}
 	add_bread_crumb();
 
-	sql_cmd(dbproc,  INPUT); /* create table */
+	sql_cmd(dbproc); /* create table */
 	dbsqlexec(dbproc);
 	while (dbresults(dbproc) != NO_MORE_RESULTS) {
 		/* nop */
 	}
 
 	for (i = 1; i <= rows_to_add; i++) {
-		sql_cmd(dbproc, INPUT);
+		sql_cmd(dbproc);
 		dbsqlexec(dbproc);
 		while (dbresults(dbproc) != NO_MORE_RESULTS) {
 			/* nop */
 		}
 	}
 
-	sql_cmd(dbproc, INPUT);	/* two result sets */
+	sql_cmd(dbproc);	/* two result sets */
 	dbsqlexec(dbproc);
 	add_bread_crumb();
 
diff --git a/src/dblib/unittests/t0003.c b/src/dblib/unittests/t0003.c
index 4d9dcc5..b0ca667 100644
--- a/src/dblib/unittests/t0003.c
+++ b/src/dblib/unittests/t0003.c
@@ -5,7 +5,7 @@
 
 #include "common.h"
 
-static char software_version[] = "$Id: t0003.c,v 1.15 2009/02/01 22:29:39 jklowden Exp $";
+static char software_version[] = "$Id: t0003.c,v 1.16 2009/02/27 15:52:48 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 
@@ -65,7 +65,7 @@ main(int argc, char **argv)
 	add_bread_crumb();
 
 	fprintf(stdout, "creating table\n");
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	dbsqlexec(dbproc);
 	while (dbresults(dbproc) != NO_MORE_RESULTS) {
 		/* nop */
@@ -73,7 +73,7 @@ main(int argc, char **argv)
 
 	fprintf(stdout, "insert\n");
 	for (i = 1; i < rows_to_add; i++) {
-		sql_cmd(dbproc, INPUT);
+		sql_cmd(dbproc);
 		dbsqlexec(dbproc);
 		while (dbresults(dbproc) != NO_MORE_RESULTS) {
 			/* nop */
@@ -81,7 +81,7 @@ main(int argc, char **argv)
 	}
 
 	fprintf(stdout, "select\n");
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	dbsqlexec(dbproc);
 	add_bread_crumb();
 
diff --git a/src/dblib/unittests/t0004.c b/src/dblib/unittests/t0004.c
index 48aa4a1..1a62955 100644
--- a/src/dblib/unittests/t0004.c
+++ b/src/dblib/unittests/t0004.c
@@ -6,7 +6,7 @@
 #include "common.h"
 
 
-static char software_version[] = "$Id: t0004.c,v 1.18 2009/02/01 22:29:39 jklowden Exp $";
+static char software_version[] = "$Id: t0004.c,v 1.19 2009/02/27 15:52:48 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 
@@ -56,7 +56,7 @@ main(int argc, char **argv)
 	add_bread_crumb();
 
 	fprintf(stdout, "creating table\n");
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	dbsqlexec(dbproc);
 	while (dbresults(dbproc) != NO_MORE_RESULTS) {
 		/* nop */
@@ -64,14 +64,14 @@ main(int argc, char **argv)
 
 	fprintf(stdout, "insert\n");
 	for (i = 1; i < rows_to_add; i++) {
-		sql_cmd(dbproc, INPUT);
+		sql_cmd(dbproc);
 		dbsqlexec(dbproc);
 		while (dbresults(dbproc) != NO_MORE_RESULTS) {
 			/* nop */
 		}
 	}
 
-	sql_cmd(dbproc, INPUT); /* select */
+	sql_cmd(dbproc); /* select */
 	dbsqlexec(dbproc);
 	add_bread_crumb();
 
@@ -133,7 +133,7 @@ main(int argc, char **argv)
 
 	fprintf(stdout, "second select\n");
 
-	if (SUCCEED != sql_cmd(dbproc, INPUT)) {
+	if (SUCCEED != sql_cmd(dbproc)) {
 		fprintf(stderr, "%s:%d: dbcmd failed\n", __FILE__, __LINE__);
 		failed = 1;
 	}
diff --git a/src/dblib/unittests/t0005.c b/src/dblib/unittests/t0005.c
index ff5b5ad..5c2db20 100644
--- a/src/dblib/unittests/t0005.c
+++ b/src/dblib/unittests/t0005.c
@@ -5,7 +5,7 @@
 
 #include "common.h"
 
-static char software_version[] = "$Id: t0005.c,v 1.25 2009/02/01 22:29:39 jklowden Exp $";
+static char software_version[] = "$Id: t0005.c,v 1.26 2009/02/27 15:52:48 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 int
@@ -55,7 +55,7 @@ main(int argc, char **argv)
 	add_bread_crumb();
 
 	fprintf(stdout, "creating table\n");
-	if (SUCCEED != sql_cmd(dbproc, INPUT)) {
+	if (SUCCEED != sql_cmd(dbproc)) {
 		fprintf(stderr, "%s:%d: dbcmd failed\n", __FILE__, __LINE__);
 		failed = 1;
 	}
@@ -71,7 +71,7 @@ main(int argc, char **argv)
 
 	fprintf(stdout, "insert\n");
 	for (i = 1; i < rows_to_add; i++) {
-		sql_cmd(dbproc, INPUT);
+		sql_cmd(dbproc);
 		dbsqlexec(dbproc);
 		while (dbresults(dbproc) != NO_MORE_RESULTS) {
 			/* nop */
@@ -79,7 +79,7 @@ main(int argc, char **argv)
 	}
 
 
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	dbsqlexec(dbproc);
 	add_bread_crumb();
 
@@ -139,7 +139,7 @@ main(int argc, char **argv)
 	expected_error = 20019;
 	dbsetuserdata(dbproc, (BYTE*) &expected_error);
 
-	if (SUCCEED != sql_cmd(dbproc, INPUT)) {
+	if (SUCCEED != sql_cmd(dbproc)) {
 		fprintf(stderr, "%s:%d: dbcmd failed\n", __FILE__, __LINE__);
 		failed = 1;
 	}
@@ -200,7 +200,7 @@ main(int argc, char **argv)
 
 	fprintf(stdout, "Testing anticipated failure\n");
 
-	if (SUCCEED != sql_cmd(dbproc, INPUT)) {
+	if (SUCCEED != sql_cmd(dbproc)) {
 		fprintf(stderr, "%s:%d: dbcmd failed\n", __FILE__, __LINE__);
 		failed = 1;
 	}
@@ -215,7 +215,7 @@ main(int argc, char **argv)
 
 	fprintf(stdout, "Dropping proc\n");
 	add_bread_crumb();
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	add_bread_crumb();
 	dbsqlexec(dbproc);
 	add_bread_crumb();
@@ -225,7 +225,7 @@ main(int argc, char **argv)
 	add_bread_crumb();
 
 	fprintf(stdout, "creating proc\n");
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	if (dbsqlexec(dbproc) == FAIL) {
 		add_bread_crumb();
 		fprintf(stderr, "%s:%d: failed to create procedure\n", __FILE__, __LINE__);
@@ -236,7 +236,7 @@ main(int argc, char **argv)
 	}
 
 	fprintf(stdout, "calling proc\n");
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	if (dbsqlexec(dbproc) == FAIL) {
 		add_bread_crumb();
 		fprintf(stderr, "%s:%d: failed to call procedure\n", __FILE__, __LINE__);
@@ -294,7 +294,7 @@ main(int argc, char **argv)
 	fprintf(stdout, "The following command should succeed because\n"
 			"we have fetched the exact number of rows in the result set\n");
 
-	if (SUCCEED != sql_cmd(dbproc, INPUT)) {
+	if (SUCCEED != sql_cmd(dbproc)) {
 		fprintf(stderr, "%s:%d: dbcmd failed\n", __FILE__, __LINE__);
 		failed = 1;
 	}
@@ -306,7 +306,7 @@ main(int argc, char **argv)
 
 	dbcancel(dbproc);
 
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	dbsqlexec(dbproc);
 	while (dbresults(dbproc) != NO_MORE_RESULTS) {
 		/* nop */
diff --git a/src/dblib/unittests/t0006.c b/src/dblib/unittests/t0006.c
index 127ac63..a4c69c1 100644
--- a/src/dblib/unittests/t0006.c
+++ b/src/dblib/unittests/t0006.c
@@ -6,7 +6,7 @@
 #include "common.h"
 
 
-static char software_version[] = "$Id: t0006.c,v 1.18 2009/02/01 22:29:39 jklowden Exp $";
+static char software_version[] = "$Id: t0006.c,v 1.19 2009/02/27 15:52:48 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 
@@ -92,7 +92,7 @@ main(int argc, char **argv)
 	add_bread_crumb();
 
 	fprintf(stdout, "creating table\n");
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	dbsqlexec(dbproc);
 	while (dbresults(dbproc) != NO_MORE_RESULTS) {
 		/* nop */
@@ -100,7 +100,7 @@ main(int argc, char **argv)
 
 	fprintf(stdout, "insert\n");
 	for (i = 1; i < rows_to_add; i++) {
-		sql_cmd(dbproc, INPUT);
+		sql_cmd(dbproc);
 		dbsqlexec(dbproc);
 		while (dbresults(dbproc) != NO_MORE_RESULTS) {
 			/* nop */
@@ -108,7 +108,7 @@ main(int argc, char **argv)
 	}
 
 	fprintf(stdout, "first select\n");
-	if (SUCCEED != sql_cmd(dbproc, INPUT)) {
+	if (SUCCEED != sql_cmd(dbproc)) {
 		fprintf(stderr, "%s:%d: dbcmd failed\n", __FILE__, __LINE__);
 		failed = 1;
 	}
@@ -145,7 +145,7 @@ main(int argc, char **argv)
 	testint = -1;
 	strcpy(teststr, "bogus");
 	fprintf(stdout, "second select\n");
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	dbsqlexec(dbproc);
 	add_bread_crumb();
 
diff --git a/src/dblib/unittests/t0007.c b/src/dblib/unittests/t0007.c
index 01e0f60..444486c 100644
--- a/src/dblib/unittests/t0007.c
+++ b/src/dblib/unittests/t0007.c
@@ -5,7 +5,7 @@
 
 #include "common.h"
 
-static char software_version[] = "$Id: t0007.c,v 1.19 2009/02/01 22:29:39 jklowden Exp $";
+static char software_version[] = "$Id: t0007.c,v 1.20 2009/02/27 15:52:48 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static void
@@ -14,7 +14,7 @@ create_tables(DBPROCESS * dbproc, int rows_to_add)
 	int i;
 
 	fprintf(stdout, "creating table\n");
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	dbsqlexec(dbproc);
 	while (dbresults(dbproc) != NO_MORE_RESULTS) {
 		/* nop */
@@ -22,7 +22,7 @@ create_tables(DBPROCESS * dbproc, int rows_to_add)
 
 	fprintf(stdout, "insert\n");
 	for (i = 1; i < rows_to_add; i++) {
-		sql_cmd(dbproc, INPUT);
+		sql_cmd(dbproc);
 		dbsqlexec(dbproc);
 		while (dbresults(dbproc) != NO_MORE_RESULTS) {
 			/* nop */
@@ -36,7 +36,7 @@ start_query(DBPROCESS * dbproc)
 {
 	int i;
 
-	if (SUCCEED != sql_cmd(dbproc, INPUT)) {
+	if (SUCCEED != sql_cmd(dbproc)) {
 		return 0;
 	}
 	if (SUCCEED != dbsqlexec(dbproc)) {
diff --git a/src/dblib/unittests/t0009.c b/src/dblib/unittests/t0009.c
index 43ebf3d..0f77205 100644
--- a/src/dblib/unittests/t0009.c
+++ b/src/dblib/unittests/t0009.c
@@ -5,7 +5,7 @@
 
 #include "common.h"
 
-static char software_version[] = "$Id: t0009.c,v 1.16 2009/02/01 22:29:39 jklowden Exp $";
+static char software_version[] = "$Id: t0009.c,v 1.17 2009/02/27 15:52:48 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 
@@ -60,19 +60,19 @@ main(int argc, char **argv)
 	add_bread_crumb();
 
 	fprintf(stdout, "creating table\n");
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	dbsqlexec(dbproc);
 	while (dbresults(dbproc) != NO_MORE_RESULTS) {
 		/* nop */
 	}
 
 	fprintf(stdout, "insert\n");
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	dbsqlexec(dbproc);
 	while (dbresults(dbproc) != NO_MORE_RESULTS) {
 		/* nop */
 	}
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	dbsqlexec(dbproc);
 	while (dbresults(dbproc) != NO_MORE_RESULTS) {
 		/* nop */
@@ -80,7 +80,7 @@ main(int argc, char **argv)
 
 
 	fprintf(stdout, "select\n");
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	dbsqlexec(dbproc);
 	add_bread_crumb();
 
diff --git a/src/dblib/unittests/t0011.c b/src/dblib/unittests/t0011.c
index cbd8d33..df102d5 100644
--- a/src/dblib/unittests/t0011.c
+++ b/src/dblib/unittests/t0011.c
@@ -6,7 +6,7 @@
 
 #include "common.h"
 
-static char software_version[] = "$Id: t0011.c,v 1.15 2009/02/05 08:49:45 freddy77 Exp $";
+static char software_version[] = "$Id: t0011.c,v 1.16 2009/02/27 15:52:48 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 int failed = 0;
@@ -42,14 +42,14 @@ main(int argc, char **argv)
 	dbloginfree(login);
 
 	fprintf(stdout, "Dropping table\n");
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	dbsqlexec(dbproc);
 	while (dbresults(dbproc) != NO_MORE_RESULTS) {
 		/* nop */
 	}
 
 	fprintf(stdout, "creating table\n");
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	dbsqlexec(dbproc);
 	while (dbresults(dbproc) != NO_MORE_RESULTS) {
 		/* nop */
@@ -80,7 +80,7 @@ select_rows(DBPROCESS * dbproc, int bind_type)
 
 
 	fprintf(stdout, "select\n");
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	dbsqlexec(dbproc);
 
 
@@ -131,7 +131,7 @@ select_rows(DBPROCESS * dbproc, int bind_type)
 void
 insert_row(DBPROCESS * dbproc)
 {
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	dbsqlexec(dbproc);
 	while (dbresults(dbproc) != NO_MORE_RESULTS) {
 		/* nop */
diff --git a/src/dblib/unittests/t0012.c b/src/dblib/unittests/t0012.c
index d7f34ea..91d3894 100644
--- a/src/dblib/unittests/t0012.c
+++ b/src/dblib/unittests/t0012.c
@@ -5,7 +5,7 @@
 
 #include "common.h"
 
-static char software_version[] = "$Id: t0012.c,v 1.23 2009/02/01 22:29:39 jklowden Exp $";
+static char software_version[] = "$Id: t0012.c,v 1.24 2009/02/27 15:52:48 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 int failed = 0;
 
@@ -43,19 +43,19 @@ main(int argc, char *argv[])
 	fprintf(stdout, "After logon\n");
 
 	fprintf(stdout, "creating table\n");
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	dbsqlexec(dbproc);
 	while (dbresults(dbproc) == SUCCEED) {
 		/* nop */
 	}
 
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	dbsqlexec(dbproc);
 	while (dbresults(dbproc) == SUCCEED) {
 		/* nop */
 	}
 
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	dbsqlexec(dbproc);
 	while (dbresults(dbproc) == SUCCEED) {
 		/* nop */
diff --git a/src/dblib/unittests/t0013.c b/src/dblib/unittests/t0013.c
index 06b2396..6f88015 100644
--- a/src/dblib/unittests/t0013.c
+++ b/src/dblib/unittests/t0013.c
@@ -5,7 +5,7 @@
 
 #include "common.h"
 
-static char software_version[] = "$Id: t0013.c,v 1.28 2009/02/01 22:29:39 jklowden Exp $";
+static char software_version[] = "$Id: t0013.c,v 1.29 2009/02/27 15:52:48 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #define BLOB_BLOCK_SIZE 4096
@@ -30,7 +30,7 @@ drop_table(void)
 
 	dbcancel(dbproc);
 
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	dbsqlexec(dbproc);
 	while (dbresults(dbproc) != NO_MORE_RESULTS) {
 		/* nop */
@@ -106,7 +106,7 @@ main(int argc, char **argv)
 	fread((void *) blob, isiz, 1, fp);
 	fclose(fp);
 
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	dbsqlexec(dbproc);
 	while (dbresults(dbproc) != NO_MORE_RESULTS) {
 		/* nop */
@@ -114,13 +114,13 @@ main(int argc, char **argv)
 
 	atexit(drop_table);
 
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	dbsqlexec(dbproc);
 	while (dbresults(dbproc) != NO_MORE_RESULTS) {
 		/* nop */
 	}
 
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	dbsqlexec(dbproc);
 	if (dbresults(dbproc) != SUCCEED) {
 		fprintf(stderr, "Error inserting blob\n");
@@ -186,7 +186,7 @@ main(int argc, char **argv)
 		dbuse(dbproc, DATABASE);
 	}
 #endif
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	dbsqlexec(dbproc);
 
 	if (dbresults(dbproc) != SUCCEED) {
@@ -221,13 +221,13 @@ main(int argc, char **argv)
 	dbnextrow(dbproc);
 
 	/* get the image */
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	dbsqlexec(dbproc);
 	dbresults(dbproc);
 
 	fprintf(stdout, "select 2\n");
 
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	dbsqlexec(dbproc);
 	if (dbresults(dbproc) != SUCCEED) {
 		fprintf(stderr, "Error extracting blob\n");
diff --git a/src/dblib/unittests/t0014.c b/src/dblib/unittests/t0014.c
index 68a65a7..4a82e6c 100644
--- a/src/dblib/unittests/t0014.c
+++ b/src/dblib/unittests/t0014.c
@@ -5,7 +5,7 @@
 
 #include "common.h"
 
-static char software_version[] = "$Id: t0014.c,v 1.30 2009/02/03 09:10:58 freddy77 Exp $";
+static char software_version[] = "$Id: t0014.c,v 1.31 2009/02/27 15:52:48 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #define BLOB_BLOCK_SIZE 4096
@@ -85,14 +85,14 @@ main(int argc, char **argv)
 
 	/* FIXME this test seem to not work using temporary tables (sybase?)... */
 	fprintf(stdout, "Dropping table\n");
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	dbsqlexec(dbproc);
 	while (dbresults(dbproc) != NO_MORE_RESULTS) {
 		/* nop */
 	}
 
 	fprintf(stdout, "creating table\n");
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	dbsqlexec(dbproc);
 	while (dbresults(dbproc) != NO_MORE_RESULTS) {
 		/* nop */
@@ -101,7 +101,7 @@ main(int argc, char **argv)
 
 	fprintf(stdout, "insert\n");
 	for (i = 0; i < rows_to_add; i++) {
-		sql_cmd(dbproc, INPUT);
+		sql_cmd(dbproc);
 		dbsqlexec(dbproc);
 		while (dbresults(dbproc) != NO_MORE_RESULTS) {
 			/* nop */
@@ -109,7 +109,7 @@ main(int argc, char **argv)
 	}
 
 	for (i = 0; i < rows_to_add; i++) {
-		sql_cmd(dbproc, INPUT);
+		sql_cmd(dbproc);
 		dbsqlexec(dbproc);
 		if (dbresults(dbproc) != SUCCEED) {
 			fprintf(stderr, "Error inserting blob\n");
@@ -154,7 +154,7 @@ main(int argc, char **argv)
 
 	fprintf(stdout, "select\n");
 
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	dbsqlexec(dbproc);
 
 	if (dbresults(dbproc) != SUCCEED) {
@@ -245,7 +245,7 @@ main(int argc, char **argv)
 	free(blob);
 
 	fprintf(stdout, "Dropping table\n");
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	dbsqlexec(dbproc);
 	while (dbresults(dbproc) != NO_MORE_RESULTS) {
 		/* nop */
diff --git a/src/dblib/unittests/t0015.c b/src/dblib/unittests/t0015.c
index 16d8176..cd49aa6 100644
--- a/src/dblib/unittests/t0015.c
+++ b/src/dblib/unittests/t0015.c
@@ -5,7 +5,7 @@
 
 #include "common.h"
 
-static char software_version[] = "$Id: t0015.c,v 1.19 2009/02/01 22:29:39 jklowden Exp $";
+static char software_version[] = "$Id: t0015.c,v 1.20 2009/02/27 15:52:48 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 
@@ -55,7 +55,7 @@ main(int argc, char **argv)
 	add_bread_crumb();
 
 	fprintf(stdout, "creating table\n");
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	dbsqlexec(dbproc);
 	while (dbresults(dbproc) != NO_MORE_RESULTS) {
 		/* nop */
@@ -63,7 +63,7 @@ main(int argc, char **argv)
 
 	fprintf(stdout, "insert\n");
 	for (i = 0; i < rows_to_add; i++) {
-		sql_cmd(dbproc, INPUT);
+		sql_cmd(dbproc);
 		dbsqlexec(dbproc);
 		while (dbresults(dbproc) != NO_MORE_RESULTS) {
 			/* nop */
@@ -71,7 +71,7 @@ main(int argc, char **argv)
 	}
 
 	fprintf(stdout, "select\n");
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	dbsqlexec(dbproc);
 	add_bread_crumb();
 
@@ -115,7 +115,7 @@ main(int argc, char **argv)
 	dbcancel(dbproc);
 
 	fprintf(stdout, "select 2\n");
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	dbsqlexec(dbproc);
 
 	if (dbresults(dbproc) != SUCCEED) {
diff --git a/src/dblib/unittests/t0016.c b/src/dblib/unittests/t0016.c
index f3803ac..13d1ee7 100644
--- a/src/dblib/unittests/t0016.c
+++ b/src/dblib/unittests/t0016.c
@@ -6,7 +6,7 @@
 #include "common.h"
 #include <sys/stat.h>
 
-static char software_version[] = "$Id: t0016.c,v 1.29 2009/02/05 08:49:45 freddy77 Exp $";
+static char software_version[] = "$Id: t0016.c,v 1.30 2009/02/27 15:52:48 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static int failed = 0;
@@ -81,7 +81,7 @@ main(int argc, char *argv[])
 	printf("After logon\n");
 
 	printf("Creating table '%s'\n", TABLE_NAME);
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	dbsqlexec(dbproc);
 	while (dbresults(dbproc) != NO_MORE_RESULTS) {
 		/* nop */
@@ -96,7 +96,7 @@ main(int argc, char *argv[])
 
 	printf("return from bcp_init = %d\n", ret);
 
-	ret = sql_cmd(dbproc, INPUT);
+	ret = sql_cmd(dbproc);
 	printf("return from dbcmd = %d\n", ret);
 
 	ret = dbsqlexec(dbproc);
@@ -138,7 +138,7 @@ main(int argc, char *argv[])
 		failure("bcp_int failed\n");
 
 	printf("select\n");
-	sql_cmd(dbproc, INPUT);
+	sql_cmd(dbproc);
 	dbsqlexec(dbproc);
 
 	if (dbresults(dbproc) != FAIL) {
